> For the complete documentation index, see [llms.txt](https://docs.sparkloop.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sparkloop.app/postbacks.md).

# Postbacks

When you create an Action offer, conversions must be explicitly confirmed after the user completes the desired action on your website (e.g., signs up for a trial, makes a purchase, downloads a resource).\
​\
This guide explains how to confirm Action conversions using a postback.\
​\
**​How It Works**

1. User clicks offer link
2. User is redirected to your website → You capture the Click ID parameter
3. User completes the action -> Purchase/Signup/Download/etc..
4. You call the postback URL → Confirm the conversion with SparkLoop
5. Conversion is processed

***

### Step 1: Capture the Tracking Parameters <a href="#h_1639a94dd2" id="h_1639a94dd2"></a>

When SparkLoop redirects users to your website, we append a `sl_click_id` query parameter to your redirect URL.

If your offer URL is `https://example.com/signup`, the user will be redirected to:\
​\
​`https://example.com/signup?sl_click_id=ABC---submission_1234abcd`\
​\
​Important: You must capture and store the `sl_click_id` parameter when the user lands on your site. You'll need it to confirm the conversion later.

***

### Step 2: ﻿Confirm the Conversion <a href="#h_91e03547bb" id="h_91e03547bb"></a>

Once the user completes your desired action, send a call to your unique postback URL.

```
GET https://postbacks.sparkloop.app/{:UNIQUE_TOKEN}?sl_click_id={sl_click_id}
```

You'll find your unique postback URL under your offer's "Conversion Pixel" instructions.

Replace  `{sl_click_id}` with the `sl_click_id` parameter from Step 1.

***

Important Notes

* Action conversions expire after 45 days if not confirmed
* Make sure to confirm conversions as soon as the user completes your desired action
